View Issue Details

IDProjectCategoryView StatusLast Update
0002150NoesisGUIC++ SDKpublic2021-12-03 13:16
Reportersatorp Assigned Tojsantos  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.1 
Target Version3.1.2Fixed in Version3.1.2 
Summary0002150: Sample applications crash on startup
DescriptionI tried the 3.1.1 indie SDK on a machine and the sample applications keep crashing on startup (see the exception and call stack below). The machine GPU does not support DX12 level features, so maybe the cause is fallback failure. I'm not sure if the default renderer (D3D12) is supposed to be compatible with all DX11 GPUs (It seems to work well on another machine with DX11 GPU). I've also uploaded the DxDiag result. By the way we haven't used the D3D12 renderer in our production code, so this issue does not affect us now.

-------------------------------------------------------------------------------------
Exception thrown: read access violation.
page->buffer was nullptr.

NoesisApp.dll!NoesisApp::D3D12RenderDevice::AllocatePage(NoesisApp::D3D12RenderDevice::DynamicBuffer & buffer) Line 1159
NoesisApp.dll!NoesisApp::D3D12RenderDevice::MapBuffer(NoesisApp::D3D12RenderDevice::DynamicBuffer & buffer, unsigned int size) Line 1297
NoesisApp.dll!NoesisApp::Window::Render(double time) Line 234
NoesisApp.dll!NoesisApp::DisplayLauncher::Run::__l2::<lambda>(NoesisApp::Display * __formal) Line 44
[Inline Frame] NoesisApp.dll!Noesis::Delegate<void __cdecl(NoesisApp::Display *)>::operator()(NoesisApp::Display *) Line 172
NoesisApp.dll!NoesisApp::Win32Display::EnterMessageLoop(bool runInBackground) Line 479
NoesisApp.dll!NoesisApp::DisplayLauncher::Run() Line 49
[Inline Frame] Samples.HelloWorld.exe!NsMain(int argc, char * * argv) Line 81
Samples.HelloWorld.exe!WinMain(HINSTANCE__ * __formal, HINSTANCE__ * __formal, char * __formal, int __formal) Line 36
---------------------------------------------------------------------------------------
TagsNo tags attached.
PlatformAny

Activities

satorp

satorp

2021-10-16 05:40

reporter  

DxDiag-IntelHD4400.txt (19,529 bytes)   
------------------
System Information
------------------
         Operating System: Windows 10 Pro 64-bit (10.0, Build 19042) (19041.vb_release.191206-1406)
                Processor: Intel(R) Core(TM) i5-4300U CPU @ 1.90GHz (4 CPUs), ~2.5GHz
                   Memory: 8192MB RAM
      Available OS Memory: 8098MB RAM
                Page File: 12496MB used, 2858MB available
          DirectX Version: DirectX 12
      DX Setup Parameters: Not found
         User DPI Setting: 96 DPI (100 percent)
       System DPI Setting: 96 DPI (100 percent)
          DWM DPI Scaling: Disabled

---------------
Display Devices
---------------
           Card name: Intel(R) HD Graphics Family
        Manufacturer: Intel Corporation
           Chip type: Intel(R) HD Graphics Family
            DAC type: Internal
         Device Type: Full Device (POST)
          Device Key: Enum\PCI\VEN_8086&DEV_0A16&SUBSYS_00051414&REV_0B
       Device Status: 0180200A [DN_DRIVER_LOADED|DN_STARTED|DN_DISABLEABLE|DN_NT_ENUMERATOR|DN_NT_DRIVER] 
 Device Problem Code: No Problem
 Driver Problem Code: Unknown
      Display Memory: 2160 MB
    Dedicated Memory: 112 MB
       Shared Memory: 2048 MB
        Current Mode: 1440 x 960 (32 bit) (59Hz)
         HDR Support: Not Supported
    Display Topology: Extend
 Display Color Space: DXGI_COLOR_SPACE_RGB_FULL_G22_NONE_P709
     Color Primaries: Red(0.639648,0.330078), Green(0.299805,0.599609), Blue(0.150391,0.059570), White Point(0.313477,0.329102)
   Display Luminance: Min Luminance = 0.500000, Max Luminance = 270.000000, MaxFullFrameLuminance = 270.000000
        Monitor Name: Generic PnP Monitor
       Monitor Model: unknown
          Monitor Id: SEC3542
         Native Mode: 2160 x 1440(p) (59.955Hz)
         Output Type: Internal
Monitor Capabilities: HDR Not Supported
Display Pixel Format: DISPLAYCONFIG_PIXELFORMAT_32BPP
      Advanced Color: Not Supported
         Driver Name: igdumdim64.dll,igd10iumd64.dll,igd10iumd64.dll,igd12umd64.dll
 Driver File Version: 20.19.0015.5171 (English)
      Driver Version: 20.19.15.5171
         DDI Version: 12
      Feature Levels: 11_1,11_0,10_1,10_0,9_3,9_2,9_1
        Driver Model: WDDM 2.0
 Hardware Scheduling: Supported:False Enabled:False 
 Graphics Preemption: Primitive
  Compute Preemption: Thread group
            Miracast: Supported
      Detachable GPU: No
 Hybrid Graphics GPU: Integrated
      Power P-states: Not Supported
      Virtualization: Not Supported
          Block List: DISABLE_HWSCH
  Catalog Attributes: Universal:False Declarative:False 
   Driver Attributes: Final Retail
    Driver Date/Size: 11/4/2020 9:00:00 AM, 39497192 bytes
         WHQL Logo'd: n/a
     WHQL Date Stamp: n/a
   Device Identifier: {D7B78E66-4956-11CF-9763-0A20B7C2D935}
           Vendor ID: 0x8086
           Device ID: 0x0A16
           SubSys ID: 0x00051414
         Revision ID: 0x000B
  Driver Strong Name: oem16.inf:5f63e5341cc65b69:iHSWM_w10:20.19.15.5171:pci\ven_8086&dev_0a16
      Rank Of Driver: 00D12001
         Video Accel: ModeMPEG2_A ModeMPEG2_C ModeWMV9_C ModeVC1_C 
         DXVA2 Modes: DXVA2_ModeMPEG2_VLD  DXVA2_ModeMPEG2_IDCT  DXVA2_ModeVC1_D2010  {E07EC519-E651-4CD6-AC84-1370CCEEC851}  {BCC5DB6D-A2B6-4AF0-ACE4-ADB1F787BC89}  DXVA2_ModeWMV9_IDCT  DXVA2_ModeVC1_IDCT  DXVA2_ModeH264_VLD_NoFGT  DXVA2_ModeH264_VLD_Stereo_Progressive_NoFGT  DXVA2_ModeH264_VLD_Stereo_NoFGT  DXVA2_ModeH264_VLD_Multiview_NoFGT  {9B8175D4-D670-4CF2-A9F0-FA56DF71A1AE}  {8EFA5926-BD9E-4B04-8B72-8F977DC44C36}  {91CD2D6E-897B-4FA1-B0D7-51DC88010E0A}  {97688186-56A8-4094-B543-FC9DAAA49F4B}  {C346E8A3-CBED-4D27-87CC-A70EB4DC8C27}  {FFC79924-5EAF-4666-A736-06190F281443}  {F416F7BD-098A-4CF1-A11B-CE54959CA03D}  {BF44DACD-217F-4370-A383-D573BC56707E}  {D41289C2-ECF3-4EDE-9A04-3BBF9068A629}  {2364D06A-F67F-4186-AED0-62B99E1784F1}  {8C56EB1E-2B47-466F-8D33-7DBCD63F3DF2}  DXVA2_ModeHEVC_VLD_Main  {49761BEC-4B63-4349-A5FF-87FFDF088466}  
   Deinterlace Caps: {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(UYVY,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(UYVY,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(UYVY,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(YV12,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(YV12,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(YV12,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(NV12,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(NV12,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(NV12,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(IMC1,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC1,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC1,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(IMC2,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(IMC3,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC3,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC3,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(IMC4,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC4,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC4,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
        D3D9 Overlay: Supported
             DXVA-HD: Supported
        DDraw Status: Enabled
          D3D Status: Enabled
          AGP Status: Enabled
       MPO MaxPlanes: 1
            MPO Caps: Not Supported
         MPO Stretch: Not Supported
     MPO Media Hints: Not Supported
         MPO Formats: Not Supported
    PanelFitter Caps: Not Supported
 PanelFitter Stretch: Not Supported

           Card name: Intel(R) HD Graphics Family
        Manufacturer: Intel Corporation
           Chip type: Intel(R) HD Graphics Family
            DAC type: Internal
         Device Type: Full Device (POST)
          Device Key: Enum\PCI\VEN_8086&DEV_0A16&SUBSYS_00051414&REV_0B
       Device Status: 0180200A [DN_DRIVER_LOADED|DN_STARTED|DN_DISABLEABLE|DN_NT_ENUMERATOR|DN_NT_DRIVER] 
 Device Problem Code: No Problem
 Driver Problem Code: Unknown
      Display Memory: 2160 MB
    Dedicated Memory: 112 MB
       Shared Memory: 2048 MB
        Current Mode: 2560 x 1440 (32 bit) (59Hz)
         HDR Support: Not Supported
    Display Topology: Extend
 Display Color Space: DXGI_COLOR_SPACE_RGB_FULL_G22_NONE_P709
     Color Primaries: Red(0.665039,0.326172), Green(0.289062,0.643555), Blue(0.149414,0.050781), White Point(0.313477,0.329102)
   Display Luminance: Min Luminance = 0.000000, Max Luminance = 603.698425, MaxFullFrameLuminance = 351.276398
        Monitor Name: Generic PnP Monitor
       Monitor Model: HP 27 QD
          Monitor Id: HPN3616
         Native Mode: 2560 x 1440(p) (59.951Hz)
         Output Type: Displayport External
Monitor Capabilities: HDR Supported (BT2020RGB BT2020YCC Eotf2084Supported )
Display Pixel Format: DISPLAYCONFIG_PIXELFORMAT_32BPP
      Advanced Color: Not Supported
         Driver Name: igdumdim64.dll,igd10iumd64.dll,igd10iumd64.dll,igd12umd64.dll
 Driver File Version: 20.19.0015.5171 (English)
      Driver Version: 20.19.15.5171
         DDI Version: 12
      Feature Levels: 11_1,11_0,10_1,10_0,9_3,9_2,9_1
        Driver Model: WDDM 2.0
 Hardware Scheduling: Supported:False Enabled:False 
 Graphics Preemption: Primitive
  Compute Preemption: Thread group
            Miracast: Supported
      Detachable GPU: No
 Hybrid Graphics GPU: Integrated
      Power P-states: Not Supported
      Virtualization: Not Supported
          Block List: DISABLE_HWSCH
  Catalog Attributes: Universal:False Declarative:False 
   Driver Attributes: Final Retail
    Driver Date/Size: 11/4/2020 9:00:00 AM, 39497192 bytes
         WHQL Logo'd: n/a
     WHQL Date Stamp: n/a
   Device Identifier: {D7B78E66-4956-11CF-9763-0A20B7C2D935}
           Vendor ID: 0x8086
           Device ID: 0x0A16
           SubSys ID: 0x00051414
         Revision ID: 0x000B
  Driver Strong Name: oem16.inf:5f63e5341cc65b69:iHSWM_w10:20.19.15.5171:pci\ven_8086&dev_0a16
      Rank Of Driver: 00D12001
         Video Accel: ModeMPEG2_A ModeMPEG2_C ModeWMV9_C ModeVC1_C 
         DXVA2 Modes: DXVA2_ModeMPEG2_VLD  DXVA2_ModeMPEG2_IDCT  DXVA2_ModeVC1_D2010  {E07EC519-E651-4CD6-AC84-1370CCEEC851}  {BCC5DB6D-A2B6-4AF0-ACE4-ADB1F787BC89}  DXVA2_ModeWMV9_IDCT  DXVA2_ModeVC1_IDCT  DXVA2_ModeH264_VLD_NoFGT  DXVA2_ModeH264_VLD_Stereo_Progressive_NoFGT  DXVA2_ModeH264_VLD_Stereo_NoFGT  DXVA2_ModeH264_VLD_Multiview_NoFGT  {9B8175D4-D670-4CF2-A9F0-FA56DF71A1AE}  {8EFA5926-BD9E-4B04-8B72-8F977DC44C36}  {91CD2D6E-897B-4FA1-B0D7-51DC88010E0A}  {97688186-56A8-4094-B543-FC9DAAA49F4B}  {C346E8A3-CBED-4D27-87CC-A70EB4DC8C27}  {FFC79924-5EAF-4666-A736-06190F281443}  {F416F7BD-098A-4CF1-A11B-CE54959CA03D}  {BF44DACD-217F-4370-A383-D573BC56707E}  {D41289C2-ECF3-4EDE-9A04-3BBF9068A629}  {2364D06A-F67F-4186-AED0-62B99E1784F1}  {8C56EB1E-2B47-466F-8D33-7DBCD63F3DF2}  DXVA2_ModeHEVC_VLD_Main  {49761BEC-4B63-4349-A5FF-87FFDF088466}  
   Deinterlace Caps: {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(UYVY,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(UYVY,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(UYVY,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(YV12,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(YV12,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(YV12,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(NV12,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(NV12,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(NV12,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(IMC1,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC1,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC1,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(IMC2,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(IMC3,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC3,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC3,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(IMC4,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC4,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC4,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
        D3D9 Overlay: Supported
             DXVA-HD: Supported
        DDraw Status: Enabled
          D3D Status: Enabled
          AGP Status: Enabled
       MPO MaxPlanes: 1
            MPO Caps: Not Supported
         MPO Stretch: Not Supported
     MPO Media Hints: Not Supported
         MPO Formats: Not Supported
    PanelFitter Caps: Not Supported
 PanelFitter Stretch: Not Supported
DxDiag-IntelHD4400.txt (19,529 bytes)   
jsantos

jsantos

2021-11-23 13:39

manager   ~0007604

Last edited: 2021-11-23 13:39

An important issue with Intel cards has been fixed in r10929. I am not sure this is 100% related to your callstack but probably it is. Could you please try it?

The minimal feature level required for the D3D12 renderer is D3D_FEATURE_LEVEL_11_0 (we check that in D3D12RenderContext) so that shouldn't be a problem.

satorp

satorp

2021-11-25 12:40

reporter   ~0007619

I tried the patch but it seems to have no effect, the crash still occurs (same call stack).
jsantos

jsantos

2021-11-25 12:43

manager   ~0007620

Last edited: 2021-11-25 12:43

Could you please uncomment the two lines at the top of D3D12RenderDevice to enable extra logging

#undef NS_LOG_TRACE
#define NS_LOG_TRACE(...) NS_LOG_(NS_LOG_LEVEL_TRACE, __VA_ARGS__)

and send me the log and call-stack again?

Thank you!

satorp

satorp

2021-11-25 14:42

reporter   ~0007621

Here are the trace log and call stack when HelloWorld is executed in Debug build (the trace log seems to be enabled only in Debug build?). The call stack is different from the one in Description, which was a Release build. There's a D3D12 error in the trace log which may provide a hint.

------------------------------------------------------------------------------------------------------------------------------------
D3D12: Removing Device.
D3D12 ERROR: ID3D12Device::RemoveDevice: Device removal has been triggered for the following reason (DXGI_ERROR_DEVICE_HUNG: The Device took an unreasonable amount of time to execute its commands, or the hardware crashed/hung. As a result, the TDR (Timeout Detection and Recovery) mechanism has been triggered. The current Device Context was executing commands when the hang occurred. The application may want to respawn and fallback to less aggressive use of the display hardware). [ EXECUTION ERROR #232: DEVICE_REMOVAL_PROCESS_AT_FAULT]
bug2150-debug-logtrace.txt (14,824 bytes)   
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Dev\Noesis\3.1.1\Bin\windows_x86_64\Samples.HelloWorld.exe'. Symbols loaded.
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\ntdll.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\kernel32.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\KernelBase.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Dev\Noesis\3.1.1\Bin\windows_x86_64\NoesisApp.dll'. Symbols loaded.
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\vcruntime140d.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Dev\Noesis\3.1.1\Bin\windows_x86_64\Noesis.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\user32.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\user32.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\win32u.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\ucrtbased.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\user32.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\gdi32.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\shell32.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\gdi32full.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\msvcp_win.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\msvcp_win.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\msvcp_win.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\ucrtbase.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\ucrtbase.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\ucrtbase.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\ws2_32.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\ole32.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\rpcrt4.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\rpcrt4.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\rpcrt4.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\combase.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\DWrite.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\vcruntime140.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\oleaut32.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\msvcrt.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\shlwapi.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\imm32.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\bcryptprimitives.dll'. 
[NOESIS/I] Noesis Init v3.1.1 (Windows on x86_64 Profile)
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\mswsock.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\advapi32.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\sechost.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\kernel.appcore.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\uxtheme.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\clbcatq.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\MMDevAPI.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\SHCore.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\devobj.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\cfgmgr32.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\AudioSes.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\powrprof.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\umpdc.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\ResourcePolicyClient.dll'. 
[NOESIS/D] Creating 'WASAPI' audio device: スピーカー (Realtek High Definition Audio)
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\XInput1_4.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\InputHost.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\CoreMessaging.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\WinTypes.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\propsys.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\CoreUIComponents.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\ntmarta.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\msctf.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\TextInputFramework.dll'. 
[NOESIS/I] 'App.xaml' loaded
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\opengl32.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\glu32.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\d3d11.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\dxgi.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\D3D12.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\D3D12Core.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\DXCore.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\igd12umd64.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\igd12umd64.dll'
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\glu32.dll'
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\opengl32.dll'
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\d3d11.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\igd12umd64.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\igd12umd64.dll'
[NOESIS/D] Creating D3D12 render context
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\DXGIDebug.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\d3d12SDKLayers.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\DXGIDebug.dll'
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\d3d12SDKLayers.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\DXGIDebug.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\igd12umd64.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\d3d12SDKLayers.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\igdusc64.dll'. 
[NOESIS/D]  Feature Level: 11_1
[NOESIS/D]  Adapter: Intel(R) HD Graphics Family
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\dcomp.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\dwmapi.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\windows.storage.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\wldp.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\profapi.dll'. 
[NOESIS/T] Page 'Vertices[0]' created (524288 KB)
[NOESIS/T] Page 'Indices[0]' created (131072 KB)
[NOESIS/T] Page 'VertexCB0[0]' created (16384 KB)
[NOESIS/T] Page 'VertexCB1[0]' created (16384 KB)
[NOESIS/T] Page 'PixelCB0[0]' created (16384 KB)
[NOESIS/T] Page 'PixelCB1[0]' created (16384 KB)
[NOESIS/T] Page 'TexUpload[0]' created (131072 KB)
[NOESIS/T] Shaders compiled in 718 ms
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\d3d11.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\mfplat.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\RTWorkQ.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\mfreadwrite.dll'. 
[NOESIS/I] 'MainWindow.xaml' loaded
[NOESIS/T] Texture 'Ramps' 512 x 512 x 1 (R8G8B8A8)
[NOESIS/T] Texture 'Glyphs' 1024 x 1024 x 1 (R8)
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\oleacc.dll'. 
[NOESIS/I] 'Aero Matics Regular' loaded
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\wer.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\aepic.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\bcrypt.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\cryptsp.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\sfc.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\sfc.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\sfc.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\sfc_os.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\setupapi.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\rsaenh.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\cryptbase.dll'. 
Exception thrown at 0x00007FFA454B4F69 in Samples.HelloWorld.exe: Microsoft C++ exception: std::bad_alloc at memory location 0x00000012CBEFC2C8.
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\policymanager.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\msvcp110_win.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\msvcp110_win.dll'
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\policymanager.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\policymanager.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\msvcp110_win.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\msvcp110_win.dll'
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\policymanager.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\policymanager.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\msvcp110_win.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\msvcp110_win.dll'
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\policymanager.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\policymanager.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\msvcp110_win.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\msvcp110_win.dll'
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\policymanager.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\policymanager.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\msvcp110_win.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\msvcp110_win.dll'
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\policymanager.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\policymanager.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\msvcp110_win.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\msvcp110_win.dll'
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\policymanager.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\policymanager.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\msvcp110_win.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\msvcp110_win.dll'
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\policymanager.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\policymanager.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\msvcp110_win.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\msvcp110_win.dll'
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\policymanager.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\policymanager.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\msvcp110_win.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\msvcp110_win.dll'
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\policymanager.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\policymanager.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\msvcp110_win.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\msvcp110_win.dll'
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\policymanager.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\policymanager.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\msvcp110_win.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\msvcp110_win.dll'
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\policymanager.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\policymanager.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\msvcp110_win.dll'. 
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\msvcp110_win.dll'
'Samples.HelloWorld.exe' (Win32): Unloaded 'C:\Windows\System32\policymanager.dll'
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\WinSxS\amd64_microsoft.windows.common-controls_6595b64144ccf1df_5.82.19041.1110_none_792d1c772443f647\comctl32.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\netapi32.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\dsreg.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\msvcp110_win.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\crypt32.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\msasn1.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\xmllite.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\FlightSettings.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\policymanager.dll'. 
'Samples.HelloWorld.exe' (Win32): Loaded 'C:\Windows\System32\twinapi.appcore.dll'. 
The thread 0x23c8 has exited with code 0 (0x0).
D3D12: Removing Device.
D3D12 ERROR: ID3D12Device::RemoveDevice: Device removal has been triggered for the following reason (DXGI_ERROR_DEVICE_HUNG: The Device took an unreasonable amount of time to execute its commands, or the hardware crashed/hung. As a result, the TDR (Timeout Detection and Recovery) mechanism has been triggered. The current Device Context was executing commands when the hang occurred. The application may want to respawn and fallback to less aggressive use of the display hardware). [ EXECUTION ERROR #232: DEVICE_REMOVAL_PROCESS_AT_FAULT]
Exception thrown at 0x00007FFA454B4F69 in Samples.HelloWorld.exe: Microsoft C++ exception: _com_error at memory location 0x00000012CBEFECD8.
Exception thrown: read access violation.
**timeStamps** was 0x10.

Unhandled exception thrown: read access violation.
**timeStamps** was 0x10.
bug2150-debug-logtrace.txt (14,824 bytes)   
bug2150-debug-callstack.txt (1,056 bytes)   
>	NoesisApp.dll!NoesisApp::D3D12RenderContext::BeginRender() Line 256	C++
 	NoesisApp.dll!NoesisApp::Window::Render(double time) Line 213	C++
 	NoesisApp.dll!NoesisApp::Application::Tick(double time) Line 217	C++
 	NoesisApp.dll!NoesisApp::ApplicationLauncher::OnTick(double time) Line 116	C++
 	NoesisApp.dll!NoesisApp::DisplayLauncher::Run::__l2::<lambda>(NoesisApp::Display * __formal) Line 44	C++
 	NoesisApp.dll!Noesis::Delegate<void __cdecl(NoesisApp::Display *)>::FunctorStub<void <lambda>(NoesisApp::Display *)>::Invoke(NoesisApp::Display * <args_0>) Line 432	C++
 	NoesisApp.dll!Noesis::Delegate<void __cdecl(NoesisApp::Display *)>::operator()(NoesisApp::Display * <args_0>) Line 173	C++
 	NoesisApp.dll!NoesisApp::Win32Display::EnterMessageLoop(bool runInBackground) Line 479	C++
 	NoesisApp.dll!NoesisApp::DisplayLauncher::Run() Line 49	C++
 	Samples.HelloWorld.exe!NsMain(int argc, char * * argv) Line 81	C++
 	Samples.HelloWorld.exe!WinMain(HINSTANCE__ * __formal, HINSTANCE__ * __formal, char * __formal, int __formal) Line 37	C++
bug2150-debug-callstack.txt (1,056 bytes)   
jsantos

jsantos

2021-11-26 12:31

manager   ~0007622

Thanks for the reports. It seems the driver is behaving erratically and randomly crashing. I also read in the log

Exception thrown at 0x00007FFA454B4F69 in Samples.HelloWorld.exe: Microsoft C++ exception: std::bad_alloc at memory location 0x00000012CBEFC2C8.

So it seems, a library is getting out of memory conditions. Not sure which one.

We are doing something that the Intel driver doesn't like. I wonder if you could try the minimal Hello World sample (Samples/Desktop/D3D12HelloWorld) in the Microsoft repository:

https://github.com/microsoft/DirectX-Graphics-Samples

and see if it works?
satorp

satorp

2021-12-01 07:54

reporter   ~0007628

I've found that the std::bad_alloc exception occurs inside the call to swapchain Present function (see uploaded callstack). The same exception also occurs when I run the D3D12 HelloWorld samples (except for D3D12HelloWindow).
bug2150-badalloc-NoesisHelloWorld.txt (1,748 bytes)   
 	[External Code]	
 	D3D12Core.dll!CDevice::DoDredWatson(enum _D3DKMT_DEVICEEXECUTION_STATE,long)	Unknown
 	D3D12Core.dll!NDXGI::CDevice::RemoveDevice(long)	Unknown
 	D3D12Core.dll!CDevice::GetDeviceRemovedReason(void)	Unknown
 	dxgi.dll!CD3D12Device::PresentExtended(struct DXGI_PRESENTSURFACE const *,unsigned int,struct IDXGIResource *,void *,unsigned int,unsigned int,unsigned int,unsigned int *)	Unknown
 	dxgi.dll!CFlipPresentToDWM<CDXGISwapChainWrapper>::FlipPresentCore()	Unknown
 	dxgi.dll!CDXGISwapChain::FlipPresentToDWM()	Unknown
 	dxgi.dll!CDXGISwapChain::PresentImplCore()	Unknown
 	dxgi.dll!CDXGISwapChain::PresentImpl()	Unknown
 	dxgi.dll!CDXGISwapChain::Present()	Unknown
>	NoesisApp.dll!NoesisApp::D3D12RenderContext::Swap() Line 531	C++
 	NoesisApp.dll!NoesisApp::Window::Render(double time) Line 241	C++
 	NoesisApp.dll!NoesisApp::Application::Tick(double time) Line 217	C++
 	NoesisApp.dll!NoesisApp::ApplicationLauncher::OnTick(double time) Line 116	C++
 	NoesisApp.dll!NoesisApp::DisplayLauncher::Run::__l2::<lambda>(NoesisApp::Display * __formal) Line 44	C++
 	NoesisApp.dll!Noesis::Delegate<void __cdecl(NoesisApp::Display *)>::FunctorStub<void <lambda>(NoesisApp::Display *)>::Invoke(NoesisApp::Display * <args_0>) Line 432	C++
 	NoesisApp.dll!Noesis::Delegate<void __cdecl(NoesisApp::Display *)>::operator()(NoesisApp::Display * <args_0>) Line 173	C++
 	NoesisApp.dll!NoesisApp::Win32Display::EnterMessageLoop(bool runInBackground) Line 479	C++
 	NoesisApp.dll!NoesisApp::DisplayLauncher::Run() Line 49	C++
 	Samples.HelloWorld.exe!NsMain(int argc, char * * argv) Line 81	C++
 	Samples.HelloWorld.exe!WinMain(HINSTANCE__ * __formal, HINSTANCE__ * __formal, char * __formal, int __formal) Line 37	C++
bug2150-badalloc-D3D12HelloTriangle.txt (1,180 bytes)   
 	[External Code]	
 	D3D12Core.dll!CDevice::DoDredWatson(enum _D3DKMT_DEVICEEXECUTION_STATE,long)	Unknown
 	D3D12Core.dll!NDXGI::CDevice::RemoveDevice(long)	Unknown
 	D3D12Core.dll!CDevice::GetDeviceRemovedReason(void)	Unknown
 	dxgi.dll!CD3D12Device::PresentExtended(struct DXGI_PRESENTSURFACE const *,unsigned int,struct IDXGIResource *,void *,unsigned int,unsigned int,unsigned int,unsigned int *)	Unknown
 	dxgi.dll!CFlipPresentToDWM<CDXGISwapChainWrapper>::FlipPresentCore()	Unknown
 	dxgi.dll!CDXGISwapChain::FlipPresentToDWM()	Unknown
 	dxgi.dll!CDXGISwapChain::PresentImplCore()	Unknown
 	dxgi.dll!CDXGISwapChain::PresentImpl()	Unknown
 	dxgi.dll!CDXGISwapChain::Present()	Unknown
>	D3D12HelloTriangle.exe!D3D12HelloTriangle::OnRender() Line 270	C++
 	D3D12HelloTriangle.exe!Win32Application::WindowProc(HWND__ * hWnd, unsigned int message, unsigned __int64 wParam, __int64 lParam) Line 110	C++
 	[External Code]	
 	D3D12HelloTriangle.exe!Win32Application::Run(DXSample * pSample, HINSTANCE__ * hInstance, int nCmdShow) Line 59	C++
 	D3D12HelloTriangle.exe!WinMain(HINSTANCE__ * hInstance, HINSTANCE__ * __formal, char * __formal, int nCmdShow) Line 19	C++
jsantos

jsantos

2021-12-01 11:35

manager   ~0007629

So Microsoft examples are also crashing? It seems to me given the attached call-stack but I want to confirm.
satorp

satorp

2021-12-03 12:56

reporter   ~0007640

Yes, Microsoft samples also crash. This seems to be a graphics driver issue (Intel driver 20.19.15.5171). I tried rolling back to previous version (20.19.15.4568) and the crash disappears.
jsantos

jsantos

2021-12-03 13:16

manager   ~0007641

Thank you! Closing this

Issue History

Date Modified Username Field Change
2021-10-16 05:40 satorp New Issue
2021-10-16 05:40 satorp File Added: DxDiag-IntelHD4400.txt
2021-10-18 10:26 sfernandez Assigned To => jsantos
2021-10-18 10:26 sfernandez Status new => assigned
2021-10-18 10:26 sfernandez Target Version => 3.1.2
2021-10-18 10:26 sfernandez Description Updated
2021-11-23 13:39 jsantos Note Added: 0007604
2021-11-23 13:39 jsantos Status assigned => feedback
2021-11-23 13:39 jsantos Note Edited: 0007604
2021-11-25 12:40 satorp Note Added: 0007619
2021-11-25 12:40 satorp Status feedback => assigned
2021-11-25 12:43 jsantos Note Added: 0007620
2021-11-25 12:43 jsantos Status assigned => feedback
2021-11-25 12:43 jsantos Note Edited: 0007620
2021-11-25 12:43 jsantos Note Edited: 0007620
2021-11-25 14:42 satorp File Added: bug2150-debug-logtrace.txt
2021-11-25 14:42 satorp File Added: bug2150-debug-callstack.txt
2021-11-25 14:42 satorp Note Added: 0007621
2021-11-25 14:42 satorp Status feedback => assigned
2021-11-26 12:31 jsantos Note Added: 0007622
2021-11-26 12:35 jsantos Status assigned => feedback
2021-12-01 07:54 satorp File Added: bug2150-badalloc-NoesisHelloWorld.txt
2021-12-01 07:54 satorp File Added: bug2150-badalloc-D3D12HelloTriangle.txt
2021-12-01 07:54 satorp Note Added: 0007628
2021-12-01 07:54 satorp Status feedback => assigned
2021-12-01 11:35 jsantos Note Added: 0007629
2021-12-01 11:35 jsantos Status assigned => feedback
2021-12-03 12:56 satorp Note Added: 0007640
2021-12-03 12:56 satorp Status feedback => assigned
2021-12-03 13:16 jsantos Status assigned => resolved
2021-12-03 13:16 jsantos Resolution open => fixed
2021-12-03 13:16 jsantos Note Added: 0007641
2021-12-03 13:16 jsantos Fixed in Version => 3.1.2